Farewell Medibuntu

Written by Clem on Friday, October 18th, 2013 @ 5:28 am | Main Topics

The Medibuntu repository was discontinued and is no longer available.

As a consequence, you might see error messages in the Update Manager, Package Manager and Software Manager.

The solution is to remove Medibuntu from your list of repositories:

  • Open a terminal
  • Type gksu gedit /etc/apt/sources.list to edit the list of repositories (replace “gedit” with “pluma” if you are running MATE, or with “kate” if you are running KDE)
  • Remove any line which contains “medibuntu” in it and save the file
  • Type apt update in the terminal

Notes:

  • If you are running Linux Mint 15 you’ve nothing to do (Medibuntu isn’t used in Mint 15)
  • If you are running the KDE edition, sources might not be present in /etc/apt/sources.list but in another file in the /etc/apt/sources.list.d/ directory instead

Medibuntu provided us with additional codecs since 2006. It’s sad to see them go and we wish their maintainers the best of luck for the future.

In Linux Mint 16 onwards libdvdcss2 (which allows us to watch DVDs) will be provided via a new Linux Mint repository at http://extra.linuxmint.com.

54 Responses to “Farewell Medibuntu”

  1. sergio Says:

    For all versions of Mint (and Ubuntu…) you can use the Videolan repository to get libdvdcss2:

    http://www.videolan.org/developers/libdvdcss.html

  2. David Says:

    This was driving me nuts. Thank you!

  3. Sam Burgos Says:

    Is the libdvdcss2 repository be available for Mint 13? Or should we use the repository that @sergio says?

  4. Vladimir Says:

    That thing did happen some days ago. Had to disable the medibuntu rep – just un-ticked the box in the sources list.
    Want to thank Serjio. I did exactly what he suggested. My Mint 13 Mate now gets complete updates.

  5. Albert P. Says:

    @ Sam: You can just keep the existing libdvdcss package installed. The package will not be removed, if you take away its package source.

  6. kelebek333 Says:

    Following mirror avaliable

    For Mint 13

    deb http://mirrors.ucr.ac.cr/medibuntu/ precise free non-free

    For Mint 14

    deb http://mirrors.ucr.ac.cr/medibuntu/ quantal free non-free

    For Mint 15

    deb http://mirrors.ucr.ac.cr/medibuntu/ raring free non-free

    For Mint 16

    deb http://mirrors.ucr.ac.cr/medibuntu/ saucy free non-free

    You may need to install Medibuntu keyring following commands.

    sudo apt-get update
    sudo apt-get install medibuntu-keyring
    sudo apt-get update

  7. Clint Says:

    Thank you!, I have wasted a lot of time through not knowing why my software manager or update manager were not working?. Surely there is a better way of informing technically challenged users of of impending significant changes and how to handle them..

    clint

    Edit by Clem: I’m all ears. News on the blog are there on your default Firefox start page and even as a default dynamic bookmark. It’s the best way for us to communicate with users without being intrusive.

  8. Craig Says:

    libdvdcss package management has been taken over by VLC….you will be able to continue getting from their website…

  9. Craig Says:

    http://www.videolan.org/developers/libdvdcss.html

  10. Bruce R Says:

    If you have an earlier, successful installation of LinuxMint13 you can use APTonCD to create a useful library of all your older packages and plugins etc for re-use.

  11. Mintkatze Says:

    hi Clem,

    I am running LinuxMint 15 and tried this command here as mentioned in the text:

    gksu gedit /etc/apt/sources.list

    But: if I do so, all I see, is an empty document. What’s going wrong then??

    And it is really sad to see medibuntu-repository go, because it did not only provide libdvdcss, it provided far more programms for Linux.

    Greetings
    Mintkatze

  12. Mintkatze Says:

    @ Clem,

    I just saw in my Synaptics, that the folllowing packages are installed:

    medibuntu-keyring
    w64codecs

    Do I have to do anything then?? I do not want to loose my VLC-Player. It serves me good. So: what do I have to do?? Do I have to remove that?? This would be really sad then.

    Greetings
    Mintkatze

    Edit by Clem: If you’re running Mint 15 you’ve nothing to do.

  13. Watis Says:

    Like Mintkatze I am running Mint 15 and get the empty document after running the gksu command – and updates are still failing with the message:

    W:Failed to fetch http://packages.medibuntu.org/dists/raring/Release.gpg Something wicked happened resolving ‘packages.medibuntu.org:http’ (-11 – System error)

    I was originally getting messages like:

    “Encountered a section with no Package: header”

    I fixed that by running:

    sudo rm -fv /var/lib/apt/lists/*

    and

    sudo apt-get update

    but can get no further because the apt-get update fails several times with the ‘Something wicked happened . . .’ message.

    Regards,

    Watis

    Edit by Clem: Run Menu->Preferences->Software Sources and disable medibuntu. Alternatively check for files in /etc/apt/sources.list.d/ to see if one of them contains references to Medibuntu.

  14. Watis Says:

    Apologies for a second post but I ran the following commands, which has resolved the problem for me:

    Used System Settings – Software Sources to restore the default settings, then:

    sudo apt-get clean
    sudo mv /var/lib/apt/lists /tmp
    sudo mkdir /var/lib/apt/lists
    sudo apt-get update

    from: http://makingtechnologyeasier.blogspot.co.uk/2013/07/linux-mint-15-error-problem-with.html

    Regards,

    Watis

  15. krisburturion Says:

    Thanks, have very lttle knowledge of mint and I had no idea what was going on. No longer getting the warnnings.

  16. Jan Says:

    Thank you for posting this front and center. I was wondering about these strange medibuntu repos and then recently their errors…

  17. hamburn Says:

    @10
    Hallo Mintkatze, I’m not Clem, but as Albert P. #’5 says: You can just keep the existing libdvdcss package installed. The package will not be removed, if you take away its package source.
    It’s the same with the keyring and the codecs. They will stay.
    Greetings
    hamburn

  18. david noakes Says:

    Thanks for that. It was getting on my nerves when updating.

  19. Albert P. Says:

    That’s true. In fact having the keyring makes no sense if the repository is closed, but it can’t harm to keep everything installed.

  20. Ronnie Says:

    Here is a easy graphical way to do it using synaptic.

    http://lxle.net/forum/#/discussion/103

  21. ninomrki Says:

    @Mintkatze

    If I recall correctly from topics about Medibuntu in Mint forums, Medibuntu repository wasn’t added in Mint 15, so you should be fine doing nothing.

  22. EtA Says:

    @ 11 Mintkaze
    The full command has to be entered as root or with sudo preceeding it.

  23. EmpireITtech Says:

    I’m running LM 15 (Cinnamon) and mine gives me errors for medibuntu every time. I have never enabled any extra repos or anything…when I follow the instructions listed in the post, I get a blank source list file….What now?

    Edit by Clem: I need to check. I might be wrong about Mint 15 not coming with Medibuntu. I’m sure it’s not in mintsources but we might have added it as a 3rd party… either way, if it’s not in /etc/apt/sources.list, it’s somewhere in /etc/apt/sources.list.d/

  24. EmpireITtech Says:

    I found the best answer for you LM 15 people on the forums >> http://forums.linuxmint.com/viewtopic.php?f=90&t=147271

    Read the post by “thebookkeeper”, there’s 4 terminal commands that he lists that does everything for you. Works like a charm…not sure how medibuntu ever got on my LM 15, I don’t add repos on this PC.

  25. PB Says:

    My package manager and update manager have been broken for weeks, and this is the culprit. After going to Synaptic Package Manager, I was able to go to repositories and just remove anything that reference Medibuntu, which was just one entry, just like Clem said. All is right with the world now. And this also applied to my Mint 15 install.

    My question to Clem is, do you have any idea how two entirely separate systems running Mint 15 picked up that entry?

    I’m not discounting the fact that I somehow am forgetting that I did it myself, but I absolutely do not remember that, and I can’t figure out why on earth I would do that to begin with.

    Any suggestions?

  26. FrOne Says:

    hi All. after i type apt update in terminal. i get this in last :

    W: GPG error: http://archive.ubuntu.com precise Release: The following signatures were invalid: BADSIG 40976EAF437D05B5 Ubuntu Archive Automatic Signing Key
    W: A error occurred during the signature verification. The repository is not updated and the previous index files will be used. GPG error: http://archive.canonical.com precise Release: The following signatures were invalid: BADSIG 40976EAF437D05B5 Ubuntu Archive Automatic Signing Key

    W: Failed to fetch http://archive.canonical.com/ubuntu/dists/precise/Release

    W: Some index files failed to download. They have been ignored, or old ones used instead.

  27. tony Says:

    not sure if this has been answered yet, but I am still running linux mint 12 “lisa” I am having the medibuntu problem.. However when I typed in the code in my terminal this message popped up

    deb http://packages.linuxmint.com/ lisa main upstream import backport romeo
    deb http://archive.ubuntu.com/ubuntu/ oneiric main restricted universe multiverse
    deb http://archive.ubuntu.com/ubuntu/ oneiric-updates main restricted universe multiverse
    deb http://security.ubuntu.com/ubuntu/ oneiric-security main restricted universe multiverse
    deb http://archive.canonical.com/ubuntu/ oneiric partner
    deb http://packages.medibuntu.org/ oneiric free non-free

    deb http://archive.getdeb.net/ubuntu oneiric-getdeb apps
    deb http://archive.getdeb.net/ubuntu oneiric-getdeb games

    What should I do so I can keep updating packages like java and adobe.. Without updating. linux 15 disables my internal wireless card and I couldnt fix that issue.

    Edit by Clem: Hi Tony, simply remove the line “deb http://packages.medibuntu.org/ oneiric free non-free” and save the file.

  28. Vernie Says:

    On Linuxmint 15, I removed the last line:

    deb http://packages.medibuntu.org/ raring free non-free

    from the file:

    /etc/apt/sources.list.d/official-package-repositories.list

    and did a

    sudo apt-get update

    on the terminal.
    No more errors encountered by Update Manager regarding medibuntu.

    Edit by Clem: Ok, that’s not enough. I found out why some people running Mint 15 had Medibuntu in their sources. Mint 15 RC shipped with it. It was removed from mintsources (in version 1.1.5) between the RC and the stable release. The current version of mintsources in Olivia is 1.1.7, check your version with the command “apt version mintsources”. If it’s smaller than 1.1.5, update it with “apt install mintsources”.

  29. PB Says:

    Thanks Clem, that explains a lot. I’m guessing certain aspects of medibuntu began shutting down since apt and update have been broken for several weeks in my Mint 15 systems?

    Anyway, thanks for the update.

  30. EmpireITtech Says:

    I think you’re right Clem, my desktop was on LM 15 RC in the beginning, and like I said in my earlier posts, I found an easy solution on the forums…that’s why I LOVE Mint so much – great user/dev support.

    Thanks again Clem!

  31. FrOne Says:

    @Vaerni :
    I type …/etc/apt/sources.list.d/official-package-repositories.list
    I get blank source list, and evry type sudo apt-get update I always get

    W: GPG error: http://archive.ubuntu.com precise Release: The …..

    W: Failed to fetch http://archive.canonical.com/ubuntu/dists/precise/Release….

    What should I do ?

  32. tony Says:

    re: clem I did what you said and this popped up in my terminal after saving.

    (gedit:2141): Gtk-WARNING **: Attempting to set the permissions of `/root/.local/share/recently-used.xbel’, but failed: No such file or directory

    (gedit:2141): Gtk-WARNING **: Attempting to store changes into `/root/.local/share/recently-used.xbel’, but failed: Failed to create file ‘/root/.local/share/recently-used.xbel.KWJD5W’: No such file or directory

    (gedit:2141): Gtk-WARNING **: Attempting to set the permissions of `/root/.local/share/recently-used.xbel’, but failed: No such file or directory

    (gedit:2141): Gtk-WARNING **: Unable to retrieve the file info for `file:///root/remove%20medibuntu’: Error stating file ‘/root/remove medibuntu’: No such file or directory

    (gedit:2141): Gtk-WARNING **: Attempting to store changes into `/root/.local/share/recently-used.xbel’, but failed: Failed to create file ‘/root/.local/share/recently-used.xbel.GIXO5W’: No such file or directory

    (gedit:2141): Gtk-WARNING **: Attempting to set the permissions of `/root/.local/share/recently-used.xbel’, but failed: No such file or directory

  33. tony Says:

    nevermind everybody.. Apparently I forgot to type in the apt update code afterwards. My laptop is doing better now, guess all the packages needing update ran under medibuntu.

  34. soldier1st Says:

    kelebek333: should you add deb http://mirrors.ucr.ac.cr/medibuntu/ precise free non-free or the http://www.videolan.org/developers/libdvdcss.html link to LM13?

  35. WesleyRop Says:

    Thanks alot, though it is late, but never toO late use it. Today this morning i saw it when i was installing compiz-setting. It is one of the things that has been giving me headache since i install Mint 13 MATE.

  36. WesleyRop Says:

    I think you have to make clear on this command gksu gedit /etc/apt/sources.list, since i am using MATE,i have to type gksu pluma /etc/apt/sources.list in order to open and edit.

  37. Fabio Correa Says:

    The videolan repository offers the latest version of libdvdcss2. The medibuntu mirrors are unmaintained.

    1. Add the videolan repository key:
    wget -O – http://download.videolan.org/pub/debian/videolan-apt.asc|apt-key add -

    2. Change the medibuntu repository URI to the videolan repository:

    sudo mintsources

    Click Additional repositories -> the medibuntu repository line -> “Edit URL.” Change the URL to:

    deb http://download.videolan.org/pub/ubuntu/ stable/

    Click OK, then in the upper right window corner click “Update the Cache.” Then update your libdvdcss2 using your favorite package manager.

    In the near future it’s probable we will have to change the repository URL to:

    deb http://download.videolan.org/pub/ubuntu raring/

  38. Mtn Dew Maniac Says:

    Regarding “My MintUpdate/Synaptic Package Manager/et cetera is broken” comments: They’re not, really, lol. Updates were still occurring, packages remained installable/removable; the apps just correctly reported the error(s) and continued to do their jobs. Rather than (solely) being an annoyance, this can and should be a lesson in what errors of this type mean and what to do when they occur. Therefore… no worries, lol.

    Clem: Continued thanks for Mint – with a special thank you for Mint XFCE.

    Best regards,
    MDM

  39. Arthur Mortensen Says:

    There’s no reference to Medibuntu but I still get the error message.

  40. Arthur Mortensen Says:

    Checked again. This time I wore my glasses!

  41. DrTeeth Says:

    >>If you are running Linux Mint 15 you’ve nothing to do (Medibuntu isn’t used in Mint 15)<<
    Oh yes it is! Getting loads of errors. How does one fix this in Mint 15?

  42. jerry Says:

    none of these work for me

  43. Arthur Mortensen Says:

    Not running 10, running 13, and glasses helped. I found the line, deleted it, and all is well. Now I have to find a group talking about sound problems (i.e., can’t use sound) on a Fujitsu UH900. Thanks for this solution.

  44. Tiger Says:

    DrTeeth,

    Try Clem’s response in comment #28 (updating mintsources).

    Or open Update Manager, click Edit>Software Sources. Click the PPAs tab and uncheck (or Remove permanently) all Medibuntu sources.

    also click on the Additional repositories tab, and uncheck all Medibuntu sources. (I’m not sure if Medibuntu was listed under PPAs or Additional repositores)

  45. Geb Says:

    according to #13:

    Edit by Clem: Run Menu->Preferences->Software Sources and disable medibuntu. Alternatively check for files in /etc/apt/sources.list.d/ to see if one of them contains references to Medibuntu.

    the file “official-package-repositories.list” had an entry with medibuntu, which I excluded by putting a ‘#’ in front of that line…

  46. KevinP Says:

    I also only get an empty document. I’ve tried the command prefaced with sudo but it’s still an empty document. I’ve tried opening the file from the GUI and by right-clicking to force different programs to open it. Still just getting an empty document.

    (But still getting the error when it tries to fetch new packages.)

    How can I edit this?

  47. Ariel Says:

    All right … But what about Linux Mint 16 ? I hope that problems such the dissapearing of the network connection after update will be history. I installed Mint 15, but after a few updates it was impossible to connect to the internet. Nothing helped. So, I deleted Mint (too bored to reinstall) and returned to something more reliable. What do you think, you can do something about (in any way you believe it is necesary, including by limiting some updates from Ubuntu) ?

  48. Paul Says:

    Only now do I get it … “medi” has nothing to do with medics, medicine, medical. It stands for ‘media’. Mediabuntu would have been a better(?) name – guess its too late for that idea. Been wondering about that for years – medical stuff in my Mint, why? Hopefully another repository will start to carry the updates as the affected packages are updated in future.

  49. Marc63 Says:

    I have Mint 13 KDE. None of the terminal suggestions worked for me. What did work was going into update manager>edit>software sources>other software tab and then uncheck the medibuntu line.

  50. mr.good Says:

    re-install!!.. (peace) :-p

  51. john h Says:

    Hi. I used the update using pluma as instructed om Mint 14 & 15 Mate versions. All worked well – thanks.

  52. Elizabeth Says:

    I’d worked this out for myself, but I was wondering why a user-friendly distribution like Mint hadn’t told me.

    @Clem, I don’t use the default Firefox start page, and I expect that goes for many of us. After all there are thousands of users. Might there be some way in the future to send messages via the update manager? Or in some other way built into the system?

    In this case it didn’t terribly matter that my update manager looked unhappy till I worked out the problem, but might there be future issues you need to urgently communicate? Could be worth a bit of thought.

    Edit by Clem: I’d rather not get intrusive on how we communicate with users. The info is there on the start page, as well as in the default News dynamic bookmark and also on the blog itself. There’s many ways for people who are interested in following the news to catch them without us annoying those who don’t want them to be poked without asking to. That’s the reason we created Segfault as well, so we could deliver more news to interested users without annoying everybody. Same with donations, there are hints on the website and on the welcome screen, and that’s enough. Sure, we could get more donations or deliver news to more people if we were a bit more “in your face”, but that’s not why we’re making Mint in the first place. There’s a fine line to walk here and it’s important your computer is there for you to bring you what you need, but without getting in your way or catching your attention on things you didn’t show interest for.

  53. phisherman Says:

    ch-ears …doing my loaf in and now fixed.

  54. Benm Loader Says:

    Worked perfect after hours of trying other ways.


Trackbacks & Pingbacks